Get all contact details Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of UUIDs.
-
Comma separated list of types to filter by. Valid filters are [email, phone_number].
-
Comma separated list of partial values to filter by.
-
Comma separated list of relationships to include in the response. Valid relationships are [accounts, primary_accounts].
-
Field to sort by. Valid fields are [created_at, updated_at, name, value]. Negative sign to denote DESC. Defaults to 'created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/contact-details
curl \
--request GET 'https://api.plannrcrm.com/api/v2/contact-details' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "e9ce0a82-567d-47b9-92bc-230a82bd873f",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"type": "email",
"name": "Personal number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"accounts": {
"uuid": "6b4c8177-8107-4731-9729-5f3455680562",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "26a31693-0341-4f48-8116-3958bea00876",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}